@extends('layout.master')

@section('content')
<div class="container mt-2">
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="pull-left mb-2">
                <h2>Add Project</h2>
            </div>
            <div class="pull-right">
                <a class="btn btn-primary" href="{{ route('projects.index') }}"> Back</a>
            </div>
        </div>
    </div>
    @if(session('status'))
        <div class="alert alert-success mb-1 mt-1">
            {{ session('status') }}
        </div>
    @endif
    <form action="{{ route('projects.store') }}" method="POST" class="forms-s" enctype="multipart/form-data">
        @csrf
        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <label class="form-label mb-2">Region id:</label>
                    <select class="form-select mb-2" name="region_id">
                        <option>Select region</option>
                        @foreach($regions as $region)
                            <option value="{{$region->id}}">{{$region->id}}</option>
                        @endforeach
                    </select>
                    @error('region_id')
                    <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                    @enderror
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <label class="form-label mb-2">Project Apartments:</label>
                    <input type="number" name="apartments" class="form-control mb-2" placeholder="Project Apartments">
                    @error('apartments')
                    <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                    @enderror
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <label class="form-label mb-2">Project floors:</label>
                    <input type="number" name="floors" class="form-control mb-2" placeholder="Project floors">
                    @error('floors')
                    <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                    @enderror
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <label class="form-label mb-2">Project card image:</label>
                    <input type="file" name="card_image" class="form-control mb-2" placeholder="Card image">
                    @error('card_image')
                    <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                    @enderror
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <label class="form-label mb-2">Project background image:</label>
                    <input type="file" name="background_image" class="form-control mb-2" placeholder="Background image">
                    @error('background_image')
                    <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                    @enderror
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <label class="form-label mb-2">Project logo:</label>
                    <input type="file" name="logo" class="form-control mb-2" placeholder="Logo">
                    @error('logo')
                    <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                    @enderror
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <label class="form-label mb-2">Project status:</label>
                    <input type="text" name="status" class="form-control mb-2" placeholder="Status" value="1">
                    @error('status')
                    <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                    @enderror
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <label class="form-label mb-2">Project 3d tour one:</label>
                    <input type="text" name="3d_tour_one" class="form-control mb-2" placeholder="3d tour one">
                    @error('3d_tour_one')
                    <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                    @enderror
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <label class="form-label mb-2">Project 3d tour two:</label>
                    <input type="text" name="3d_tour_two" class="form-control mb-2" placeholder="3d tour two">
                    @error('3d_tour_two')
                    <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                    @enderror
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <label class="form-label mb-2">Project yard image:</label>
                    <input type="file" name="yard_image" class="form-control mb-2" placeholder="Yard image">
                    @error('yard_image')
                    <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                    @enderror
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <label class="form-label mb-2">Project hall image:</label>
                    <input type="file" name="hall_image" class="form-control mb-2" placeholder="Hall image">
                    @error('hall_image')
                    <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                    @enderror
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <label class="form-label mb-2">Project location:</label>
                    <input type="text" name="location" class="form-control mb-2" placeholder="Location">
                    @error('location')
                    <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                    @enderror
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <label class="form-label mb-2">Project slug:</label>
                    <input type="text" name="slug" class="form-control mb-2" placeholder="Slug">
                    @error('slug')
                    <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                    @enderror
                </div>
            </div>
            <button type="submit" class="btn btn-primary ml-3">Submit</button>
        </div>
    </form>
</div>
@endsection